@font-face {
  font-family: "Open Sans";
  src: url(./fonts/Open_Sans/OpenSans.ttf);
}

@font-face {
  font-family: "Open Sans Italic";
  src: url(./fonts/Open_Sans/OpenSans-Italic.ttf);
}

@font-face {
  font-family: "Pirulen";
  src: url(./fonts/pirulen/pirulen.otf);
}

:root {
  /* Devoxx 2024 colors */
  --color-build-deploy: #0de07d;
  --color-java: #f3de2c;
  --color-architecture: #f88224;
  --color-data-ai: #df57bc;
  --color-server-size: #3083dc;
  --color-security: #4e4187;
  --color-people-culture: #8877d4;
  --color-mind-geek: #3083dc;
  --color-ux-ui: #c1b367;
  --color-dev-language: #2fb496;

  --color-bg-main: #0b0b0b;
  --color-bg-alternate: #151515;
  --color-bg-highlight: #0de07d;
  --color-bg-black: #000000;
  /* /Devoxx 2024 colors */

  --sd-heading1-size: 5vw;
  --sd-heading1-line-height: 1;
  --sd-heading2-size: 5vw;
  --sd-heading2-line-height: 0.5;
  --sd-text-size: 2.0vw;
  --sd-text-line-height: 1.2;

  --sd-background-color: var(--color-bg-black);
  /* change with your devoxx theme color */
  --sd-primary-color: var(--color-java);
  --sd-heading-color: var(--sd-primary-color);
  --sd-text-color: #ffffff;
  font-family: "Open Sans";
}

i,
.i {
  font-family: "Open Sans Italic";
}

h1,
h2 {
  font-family: "Pirulen";
}

.sd-slide {
  background-color: var(--color-bg-alternate);
}

/* bottom bar */
.sd-slide::after {
  content: "";
  height: 20px;
  width: 100%;
  position: absolute;
  background-color: var(--sd-primary-color);
  z-index: -1;
  bottom: 0;
  left: 0;
}

/* stamp Devoxx 2024 */
.stamp {
  position: absolute;
  background-color: var(--color-bg-black);
  color: white;
  top: 0;
  right: 0;
  font-family: Pirulen;
  font-size: 1vw;
  padding: 10px 20px;
}

.stamp span {
  color: var(--color-bg-highlight);
}

/* main slide */

.main-slide {
  background-image: url(images/DevoxxFR2024_0022.jpg);
  background-position: top left;
  background-size: cover;
  background-repeat: no-repeat;
  padding-left: 50%;
}

.main-slide::before {
  content: "";
  background-color: var(--color-bg-alternate);
  top: -80%;
  left: 55%;
  width: 100%;
  height: 200%;
  position: absolute;
  z-index: -1;
  box-shadow: 0 0 10px var(--color-bg-alternate);
  transform: rotate(80deg);
}

/* / main slide */

/* title slide */

.title-slide .subtitle {
  font-family: Pirulen;
}

.title-slide .subtitle::before {
  content: "/";
  margin-right: 1rem;
  color: var(--sd-primary-color);
}

.title-slide {
  display: flex;
  flex-direction: row;
  padding: 0;
}

.title-slide > div {
  height: 100%;
}

.title-slide .left-text {
  position: relative;
}

.title-slide .left-text::before {
  content: "";
  background-color: var(--sd-primary-color);
  position: absolute;
  top: -10px;
  left: 0;
  width: 200px;
  height: 200%;
  transform: rotate(-8deg);
}

.title-slide .left-text p {
  font-family: Pirulen;
  transform: rotate(-90deg);
  position: absolute;
  margin: 0;
  left: -50px;
  bottom: 130px;
  color: var(--color-bg-black);
}

.title-slide .title {
  flex-grow: 1;
  display: flex;
  flex-direction: column;
  align-items: flex-end;
  justify-content: center;
  padding-right: 10vw;
}

.title-slide .title .subtitle {
  margin: 0;
  text-align: right;
}

.title-slide .content {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: end;
  padding-bottom: 3vw;
  padding-right: 130px;
}

.title-slide .content p {
  text-align: left;
  margin: 1vw 0;
}

/* / title slide */

/* no title slide */

.no-title-slide {
  display: flex;
  flex-direction: row;
  padding: 0;
}

.no-title-slide > div {
  height: 100%;
}

.no-title-slide .left-text {
  position: relative;
}

.no-title-slide .left-text::before {
  content: "";
  background-color: var(--sd-primary-color);
  position: absolute;
  top: -10px;
  left: 0;
  width: 200px;
  height: 200%;
  transform: rotate(-8deg);
}

.no-title-slide .left-text p {
  font-family: Pirulen;
  transform: rotate(-90deg);
  position: absolute;
  margin: 0;
  left: -30px;
  bottom: 130px;
  color: var(--color-bg-black);
}

.no-title-slide .content {
  flex-grow: 1;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: start;
  padding: 30px 30px 30px 250px;
}

.no-title-slide .content p {
  margin: 0;
  text-align: left;
}

/* / no title slide */

/* thanks slide */

.thanks-slide {
  background-image: url(images/DevoxxFR2024_0022.jpg);
  background-position: top left;
  background-repeat: no-repeat;
  background-size: cover;
  padding-top: 25vh;
  padding-left: 25vw;
}

.thanks-slide::before {
  position: absolute;
  content: "";
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  background: linear-gradient(#00000000, #000000);
  z-index: -1;
}

.thanks-slide::after {
  height: 0;
}

.thanks-slide .stamp {
  position: relative;
  background: none;
  margin-top: 4vw;
  font-size: 1.5vw;
}

/* / thanks slides */
